<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumBanner extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_banner', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('store_id')->comment('商户id');
            $table->longText('pic_url')->comment('图标url');
            $table->string('title',100)->comment('标题');
            $table->longText('page_url')->nullable()->default(null)->comment('页面路径');
            $table->unsignedInteger('sort')->comment('排序');
            $table->unsignedInteger('addtime');
            $table->unsignedTinyInteger('is_delete');
            $table->unsignedTinyInteger('type')->comment('类型 【1=> 商城，2=> 拼团】');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_banner');
    }
}
